%define anolis_release 3
%undefine __cmake_in_source_build

Name:           libldac
Version:        2.0.2.3
Release:        %{anolis_release}%{?dist}
Summary:        A lossy audio codec for Bluetooth connections

License:        ASL 2.0
URL:            https://github.com/EHfive/ldacBT
Source0:        https://github.com/EHfive/ldacBT/releases/download/v%{version}/ldacBT-%{version}.tar.gz


BuildRequires:  cmake3 gcc

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description
LDAC is an audio coding technology developed by Sony that enable
the transmission of High Resolution (Hi-Res) Audio content even over
a Bluetooth connection, and has been contributed to the
Android Open Source Project (AOSP).

%description    devel
Libraries and header files for developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n ldacBT

%build
%cmake3 -DLDAC_SOFT_FLOAT=OFF -DINSTALL_LIBDIR=%{_libdir}

%cmake3_build

%install
%cmake3_install

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_libdir}/libldacBT_abr.so.2
%{_libdir}/libldacBT_abr.so.2.*
%{_libdir}/libldacBT_abr.so
%{_libdir}/libldacBT_enc.so.2
%{_libdir}/libldacBT_enc.so.2.*
%{_libdir}/libldacBT_enc.so
%{abidir}/libldacBT_abr.dump
%{abidir}/libldacBT_enc.dump

%files devel
%dir %{_includedir}/ldac
%{_includedir}/ldac/ldacBT_abr.h
%{_includedir}/ldac/ldacBT.h
%{_libdir}/pkgconfig/ldacBT-abr.pc
%{_libdir}/pkgconfig/ldacBT-enc.pc

%files doc
%doc README.md

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.0.2.3-3
-optimize spec

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.0.2.3-2
- optimize spec

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.2.3-1
- Init from upstream version 2.0.2.3

